Package com.enonic.xp.index

## Class PatternIndexConfigDocument.Builder

- java.lang.Object
- - com.enonic.xp.index.PatternIndexConfigDocument.Builder

- Enclosing class:
    PatternIndexConfigDocument

      public static final class PatternIndexConfigDocument.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PatternIndexConfigDocument.Builder` | `add​(PropertyPath path, IndexConfig indexConfig)` |
    `PatternIndexConfigDocument.Builder` | `add​(PathIndexConfig pathIndexConfig)` |
    `PatternIndexConfigDocument.Builder` | `add​(String path, IndexConfig indexConfig)` |
    `PatternIndexConfigDocument.Builder` | `addAllTextConfigLanguage​(String language)` |
    `PatternIndexConfigDocument.Builder` | `addPattern​(PathIndexConfig pathIndexConfig)` |
    `B` | `analyzer​(String analyzer)` |
    `PatternIndexConfigDocument` | `build()` |
    `PatternIndexConfigDocument.Builder` | `defaultConfig​(IndexConfig defaultConfig)` |
    `PatternIndexConfigDocument.Builder` | `remove​(PathIndexConfig pathIndexConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public PatternIndexConfigDocument.Builder add​(String path,
                                                        IndexConfig indexConfig)

    - #### add

          public PatternIndexConfigDocument.Builder add​(PropertyPath path,
                                                        IndexConfig indexConfig)

    - #### add

          public PatternIndexConfigDocument.Builder add​(PathIndexConfig pathIndexConfig)

    - #### remove

          public PatternIndexConfigDocument.Builder remove​(PathIndexConfig pathIndexConfig)

    - #### addPattern

          public PatternIndexConfigDocument.Builder addPattern​(PathIndexConfig pathIndexConfig)

    - #### defaultConfig

          public PatternIndexConfigDocument.Builder defaultConfig​(IndexConfig defaultConfig)

    - #### addAllTextConfigLanguage

          public PatternIndexConfigDocument.Builder addAllTextConfigLanguage​(String language)

    - #### build

          public PatternIndexConfigDocument build()

    - #### analyzer

          public B analyzer​(String analyzer)